"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.callOverallValidationFunction = exports.isMaxLength = exports.isExactLength = exports.isGreaterOrEqualTo = void 0;
function isGreaterOrEqualTo(resolvedFields) {
    return resolvedFields[0] >= resolvedFields[1];
}
exports.isGreaterOrEqualTo = isGreaterOrEqualTo;
var isExactLength = function (value, length) { return value.length == length; };
exports.isExactLength = isExactLength;
var isMaxLength = function (value, length) { return value.length <= length; };
exports.isMaxLength = isMaxLength;
function injectValidationCreators(createValidation, createFinalValidation) {
    return {
        stringValidate: {
            exactLength: createValidation("This string field size does not match the required size", exports.isExactLength),
            maxLength: createValidation("This string field is too long", exports.isMaxLength),
        },
        numberValidate: {
            greaterOrEqualTo: createFinalValidation("The fields need to be in descending order or equal", false, isGreaterOrEqualTo)
        }
    };
}
exports.default = injectValidationCreators;
function callOverallValidationFunction(fieldsRequiredToValidate, toValidate, automaticResponseToUndefined, callback) {
    var resolvedFields = fieldsRequiredToValidate.map(function (k) { return toValidate[k]; });
    return automaticResponseToUndefined !== null && resolvedFields.some(function (k) { return k === undefined; }) ? // if has undefined fields and we need to care about them,
        automaticResponseToUndefined : // return the pre-defined value
        callback(resolvedFields, toValidate, fieldsRequiredToValidate); // else, validate
}
exports.callOverallValidationFunction = callOverallValidationFunction;
//# sourceMappingURL=validateUtils.js.map